Bug 45991 - [chromium] Unskip the canvas philip suite
Summary: [chromium] Unskip the canvas philip suite
Status: RESOLVED WONTFIX
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-17 13:31 PDT by James Robinson
Modified: 2013-04-09 16:10 PDT (History)
8 users (show)

See Also:


Attachments
Patch (1.72 KB, patch)
2010-09-17 13:38 PDT, James Robinson
no flags Details | Formatted Diff | Diff
specific expectations (10.38 KB, patch)
2010-09-17 18:30 PDT, James Robinson
no flags Details | Formatted Diff | Diff
Patch (2.24 KB, patch)
2010-09-19 23:29 PDT, James Kozianski
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James Robinson 2010-09-17 13:31:22 PDT
The philip canvas test suite was marked as SKIP in chromium's test_expectations.txt when it was initially checked in.  We should be running these tests, there's no reason to skip them.
Comment 1 James Robinson 2010-09-17 13:35:28 PDT
canvas/philip contains 782 tests.  On my linux box 97 fail and 2 are flaky.  The rest pass with the existing baselines.

http/tests/canvas/philip contains 10 tests, all of which pass locally.
Comment 2 James Robinson 2010-09-17 13:38:50 PDT
Created attachment 67942 [details]
Patch
Comment 3 Dimitri Glazkov (Google) 2010-09-17 13:39:29 PDT
Comment on attachment 67942 [details]
Patch

Weeee!
Comment 4 James Robinson 2010-09-17 13:42:36 PDT
Committed r67744: <http://trac.webkit.org/changeset/67744>
Comment 5 James Robinson 2010-09-17 18:30:11 PDT
Created attachment 67989 [details]
specific expectations
Comment 6 Andreas Kling 2010-09-17 19:15:23 PDT
Comment on attachment 67989 [details]
specific expectations

Awesome stuff!
Comment 7 James Kozianski 2010-09-19 23:29:15 PDT
Created attachment 68054 [details]
Patch
Comment 8 James Kozianski 2010-09-19 23:35:13 PDT
Comment on attachment 68054 [details]
Patch

This just takes the mac tests from the above patch (which seems to be out of date) as they are failing on the canaries right now.
Comment 9 James Robinson 2010-09-20 00:47:30 PDT
This is not right - I intentionally left the entire suite as = TEXT until I had a chance to land the 'specific expectations' patch.  Looks like abarth messed up the expectations in http://trac.webkit.org/changeset/67820 and the followup.  For shame, Adam!
Comment 10 James Robinson 2010-09-20 00:49:31 PDT
A bunch fail on windows still.  I recommend reverting the entire section specific expectations patch, which contains a list of the tests that fail on each platform as of last Friday.

I won't be able to look at this for ~10 hours more.
Comment 11 Adam Barth 2010-09-20 00:50:35 PDT
> For shame, Adam!

Huh?  I'm not sure what I did wrong.  Maybe my attempt to help garden was misguided.
Comment 12 Ojan Vafai 2010-09-20 01:09:38 PDT
(In reply to comment #9)
> This is not right - I intentionally left the entire suite as = TEXT until I had a chance to land the 'specific expectations' patch.  Looks like abarth messed up the expectations in http://trac.webkit.org/changeset/67820 and the followup.  For shame, Adam!

James, I'm not sure the history of this set of expectations, but someone else went ahead and took away the test suite listing. This patch just cleaned up some of the fallout on the mac bot. As best I can tell, there's only one failing test left on the webkit chromium canaries and thats canvas/philip/tests/2d.gradient.radial.touch2.html on the windows bot.
Comment 13 James Robinson 2010-09-20 11:33:27 PDT
James' patch looks fine, I'm just frustrated that you guys are having to clean up expectations after I generated expectations for each platform already.  I can clean up the remaining fallout.
Comment 14 James Robinson 2010-09-20 12:40:57 PDT
Committed r67872: <http://trac.webkit.org/changeset/67872>
Comment 15 James Robinson 2010-09-20 14:16:13 PDT
Comment on attachment 67989 [details]
specific expectations

clearing flags, obsolete
Comment 16 James Robinson 2010-09-20 14:16:27 PDT
Comment on attachment 68054 [details]
Patch

Clearing flags, obsolete
Comment 17 James Robinson 2010-09-21 13:27:01 PDT
Not resolved.  The remaining failures need to be triaged into separate bugs.
Comment 18 Justin Novosad 2011-03-25 08:22:44 PDT
Change set http://trac.webkit.org/changeset/81489 resolved the following layout test failures on windows and linux, which were associated with this bug: 

canvas/philip/tests/2d.shadow.pattern.alpha.html
canvas/philip/tests/2d.shadow.pattern.basic.html 
canvas/philip/tests/2d.shadow.pattern.transparent.2.html
Comment 19 Marcus Bulach 2011-06-06 06:30:45 PDT
(In reply to comment #18)
> Change set http://trac.webkit.org/changeset/81489 resolved the following layout test failures on windows and linux, which were associated with this bug: 
> 
> canvas/philip/tests/2d.shadow.pattern.alpha.html
> canvas/philip/tests/2d.shadow.pattern.basic.html 
> canvas/philip/tests/2d.shadow.pattern.transparent.2.html

Hi,

I was gardening today, and 
canvas/philip/tests/2d.composite.canvas.source-over.html
started failing on Windows GPU.

Added a TEXT failure baseline at:
http://trac.webkit.org/changeset/88162

and filed a bug with more details at:
http://code.google.com/p/chromium/issues/detail?id=85051

Is anyone familiar with this test? Thanks!
Comment 20 Adam Klein 2011-11-22 10:52:11 PST
The Skia roll in http://crrev.com/111151 caused the following tests to start passing:

canvas/philip/tests/2d.shadow.canvas.alpha-expected.txt
canvas/philip/tests/2d.shadow.canvas.basic-expected.txt
canvas/philip/tests/2d.shadow.canvas.transparent.2-expected.txt
canvas/philip/tests/2d.shadow.image.alpha-expected.txt
canvas/philip/tests/2d.shadow.image.basic-expected.txt
canvas/philip/tests/2d.shadow.image.scale-expected.txt
canvas/philip/tests/2d.shadow.image.transparent.2-expected.txt
Comment 21 Stephen Chenney 2013-04-09 16:10:11 PDT
LayoutTest failures for Chromium are being marked WontFix. The Bug is still accessible and referenced from TestExpectations.